CIF2JSON(1)

NAME
cif2json - parse CIF file and print out the structure generated by CIF parser.

SYNOPSIS
cif2json [options] input.cif [input2.cif ...]

DESCRIPTION
Parse CIF file and print out the structure generated by CIF parser.

OPTIONS
--fix-errors
                  Try to fix syntax errors in the input CIF files that can
                  be corrected unambiguously.

--dont-fix-errors, --no-fix-errors
                  Do not try to fix syntax errors in input CIF files (default).

--strict
                  Strictly adhere to JSON syntax, i.e., make a top level
                  list container for CIF data blocks and put comma (",")
                  separators between consecutive CIF data blocks.

--no-strict, --relaxed, --stream, --concatenate
                  Print stream of JSON objects, where an object stands for
                  a CIF data block. Such output does not include comma (",")
                  separators between top level objects, thus streaming
                  parsers have to be used (default).

--canonical
                  Print JSON objects with key-value pairs sorted in a
                  canonical way. The usage of this option is discouraged
                  due to the added overhead.

--no-canonical
                  Print JSON object with key-value pairs sorted in the
                  order Perl stores them. Due to this, the outputs might
                  differ between different runs of the script with
                  identical parameters (default).

--use-c-parser
                  Use Perl & C parser for CIF parsing (default).

--use-perl-parser
                  Use Perl parser for CIF parsing.

--help,--usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cif2json bugs using e-mail: cod-bugs@ibt.lt